.music-player {
    background: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(10px);
    border-radius: 12px;
    padding: 10px 15px;
    margin-top: 20px;
    display: flex;
    align-items: center;
}

.music-player .player-controls {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 10px;
}

.music-player .progress-bar {
    width: 100%;
    height: 4px;
    background: rgba(255, 255, 255, 0.1);
    border-radius: 2px;
    cursor: pointer;
}

.music-player .progress {
    height: 100%;
    background: var(--accent);
    border-radius: 2px;
    transition: width 0.1s linear;
}

.music-player .time {
    font-size: 12px;
    color: rgba(255, 255, 255, 0.7);
    margin-top: 5px;
    display: flex;
    justify-content: space-between;
}

.play-pause {
    background-color: var(--accent);;
    border-radius: 50%;
    padding: 10px;
    cursor: pointer;    
    margin-right: 10px;
}